Bug 103160 - autofs doesn't see ldap based file systems after reboot
autofs doesn't see ldap based file systems after reboot
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
: 120509 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-27 06:30 EDT by Henning Schmiedehausen
Modified: 2007-04-18 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:48:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henning Schmiedehausen 2003-08-27 06:30:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030708

Description of problem:
We use LDAP based tree lookup for autofs in our organization. If the
(LDAP and NFS) server is rebooted, it won't find its own ldap based
mounts.

Reason: The autofs daemon is started at S28. LDAP is started at S39.
So when the autofs does LDAP lookup to find all the trees, it gets
no result because the LDAP server is not yet up.

Version-Release number of selected component (if applicable):
autofs-3.1.7-36

How reproducible:
Always

Steps to Reproduce:
1. Configure a server to be NFS and LDAP server
2. Configure autofs to use LDAP for NFS lookup
3. Reboot
    

Actual Results:  % /sbin/service autofs status
Configured Mount Points:
------------------------
/usr/sbin/automount /home ldap
ldap.hutweide.de:nisMapName=auto.home,dc=hutweide,dc=de
hard,intr,lock,v3,rsize=8192,wsize=8192 

Active Mount Points:
--------------------
%

Expected Results:  % /sbin/service autofs status
Configured Mount Points:
------------------------
/usr/sbin/automount /home ldap
ldap.hutweide.de:nisMapName=auto.home,dc=hutweide,dc=de
hard,intr,lock,v3,rsize=8192,wsize=8192 

Active Mount Points:
--------------------
/usr/sbin/automount /home ldap
ldap.hutweide.de:nisMapName=auto.home,dc=hutweide,dc=de
hard,intr,lock,v3,rsize=8192,wsize=8192
%


Additional info:

Simply shifting the start levels of autofs from S28 K72 to S40 K60
solves the problem.
Comment 1 Jeffrey Moyer 2004-09-20 14:41:07 EDT
I'm not sure whether it's preferrable to shift autofs later in the
boot sequence, or make ldap come up earlier.  I'd rather not move
later in the boot, as I'm not sure if that hinders other services. 
Nalin, are there any issues moving ldap sooner in the boot?  Does it
depend on other services?
Comment 2 Jeffrey Moyer 2004-09-23 08:32:29 EDT
*** Bug 120509 has been marked as a duplicate of this bug. ***
Comment 3 Bill Nottingham 2006-08-05 00:06:00 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 13:48:45 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.